@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;700&display=swap");
* {
  padding: 0px;
  margin: 0px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  background-color: var(--secondarycolor);
  font-family: "Poppins";
  font-size: 15px;
  /* overflow-x: hidden; */
}

:root {
  --primarycolor: #021e42;
  --secondarycolor: #dfe0f6;
  --thirdcolor: #b9bbf3;
  --greycolor: #939393;
}

html {
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

/* HEADER AND MENU STYLES */

.header-container {
  padding: 1em 0 0.5em 0;
  display: flex;
}

.header-container .image-logo {
  margin: 0 1.2em 0 1.5em;
}

.header-container .logo-name {
  padding: 1em 0 0 0.5em;
}

.header-container .logo-name a {
  cursor: pointer;
  color: var(--primarycolor);
  font-size: 1em;
  font-weight: 700;
  -webkit-transition: all 500ms;
  transition: all 500ms;
  text-shadow: 0.01em 0.02em 0.05em var(--thirdcolor);
}

.header-container .logo-name a:hover {
  opacity: 0.7;
}

/* MAIN BODY STYLES */

/* VIDEO STYLES */

.back-video {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: -1;
}

section {
  padding: 0em 3em;
}

.hero {
  text-align: center;
  height: 90vh;
}

/* LEFT COLUNM OF LOAN CALC WRAPPER */

.loancalcwrapper > h1 {
  font-size: 1.7em;
  color: var(--primarycolor);
  margin: 1.5em 0 1em 0;
  text-shadow: 0.09em -0.02em 0.2em var(--thirdcolor);
  line-height: 1.3em;
}

.loancalcwrapper > p {
  font-size: 1.1em;
  color: white;
  margin: 2em 0 2.5em 0;
  /* text-shadow: 0.09em -0.02em 0.2em var(--thirdcolor); */
  /* font-weight: 500; */
  padding: 0.3em 0.5em;
  /* box-shadow: 0px 4px 8px var(--thirdcolor); */
  background-color: rgba(185, 187, 243, 0.25);
}

.button-form-loan {
  background: coral;
  color: white;
  border: 0px;
  border-radius: 20px;
  padding: 0.5em 1.5em;
  margin: 0 0 0.5em 0;
  width: 85%;
  font-size: 1em;
  cursor: pointer;
  font-weight: bold;
  transition: all 300ms ease-in-out;
  display: inline-block;
}

.button-form-loan:hover {
  color: white;
  background: #021e42;
  opacity: 0.75;
}

/* RIGHT COLUNM OF LOAN CALC WRAPPER */

.right-side {
  margin: 3em 0 0 0;
}

.loanformwrapper {
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.75);
  box-shadow: 0px 4px 8px var(--thirdcolor);
  padding: 2.5em 0em 2.5em 0em;
}

#monthlyPayment {
  width: 65%;
  text-align: center;
  margin: 1em auto 1em auto;
  color: var(--primarycolor);
}

/* STYLES SHARED WITH LOAN REQUEST FORM */

.numPayments,
.label-name {
  display: none;
}

.input-errele2 {
  border-radius: 10px;
  width: 65%;
  margin-bottom: 1em;
  padding: 1em;
  border: none;
  -webkit-box-shadow: 0px 2px 8px var(--thirdcolor);
  box-shadow: 0px 2px 8px var(--thirdcolor);
  -webkit-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}

/* END OF LOAN QUOTE CALCULATOR */

/* START OF LOAN REQUEST FORM */

.formrequestwrapper {
  width: 100%;
  padding: 1em 1em 2.5em 0em;
  background-image: url(/images/backgroundimagePNG.png);
  background-repeat: space;
  background-size: auto;
  background-blend-mode: darken;
}

.formwrapper {
  text-align: center;
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.75);
  -webkit-box-shadow: 0px 4px 8px var(--thirdcolor);
  box-shadow: 0px 4px 8px var(--thirdcolor);
  padding: 2em 2em 2.5em 2em;
  margin: 3em 1em 7em 3em;
}

.formwrapper h1 {
  font-size: 2em;
  text-align: center;
  color: var(--primarycolor);
  margin: 0.8em 0 1.2em 0;
}

.formwrapper p {
  color: var(--primarycolor);
  text-align: center;
  margin: 2em 0 2em 0;
}

.input-errele {
  border-radius: 10px;
  width: 80%;
  margin-bottom: 2em;
  padding: 1em;
  border: none;
  -webkit-box-shadow: 0px 2px 8px var(--thirdcolor);
  box-shadow: 0px 2px 8px var(--thirdcolor);
  -webkit-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}

::placeholder {
  color: var(--greycolor);
}

.button-form {
  background: var(--primarycolor);
  color: white;
  margin: 1em auto 0em auto;
  border: 0px;
  border-radius: 20px;
  padding: 0.7em 0em;
  width: 65%;
  font-size: 1em;
  cursor: pointer;
  font-weight: bold;
  transition: all 300ms ease-in-out;
  display: inline-block;
}

.button-form:hover {
  color: white;
  background: #021e42;
  opacity: 0.75;
}

/* END OF LOAN REQUEST FORM */

/* FORM CONFIRMATION MESSAGES STYLES */

.confirmation-message {
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.75);
  -webkit-box-shadow: 0px 4px 8px var(--thirdcolor);
  box-shadow: 0px 4px 8px var(--thirdcolor);
  padding: 1.5em 1.2em 3em 1.2em;
  margin: 5em 1.5em 5em 1.5em;
  text-align: center;
}

.confirmation-message h2 {
  font-size: 1.5em;
  color: var(--primarycolor);
  margin: 1em 0 0 0;
  padding-bottom: 1em;
}

.confirmation-message a {
  color: var(--primarycolor);
  font-family: "Poppins";
  font-weight: 700;
  text-decoration: none;
  -webkit-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}

.confirmation-message a:hover {
  color: var(--primarycolor);
  background-color: var(--thirdcolor);
  padding: 0 0.3em;
}

/* FOOTER STYLE */

footer {
  font-size: 0.8em;
  background: var(--primarycolor);
  padding: 2em 0;
  color: white;
  text-align: center;
}

.developer-footer {
  margin-top: 1em;
}

.developer-footer a {
  color: var(--thirdcolor);
  -webkit-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}

.developer-footer a:hover {
  color: var(--primarycolor);
  background-color: var(--thirdcolor);
  text-decoration: underline;
  padding: 0 0.3em;
}

/* MEDIA QUERIES FOR RESPONSIVE */

@media only screen and (min-width: 1000px) {
  .hero {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    padding: 0em 0% 0 8%;
    margin: -2em 0 0 0;
  }

  .loancalcwrapper {
    max-width: 50%;
    margin: 0 7em 0 0;
  }

  .loancalcwrapper > h1 {
    font-size: 2.5em;
    margin: 1em 0 0.5em 0;
    text-align: left;
  }

  .loancalcwrapper > p {
    font-size: 1.1em;
    color: var(--primarycolor);
    font-weight: normal;
    margin: 2.5em 0 3em 0;
    text-align: left;
    background-color: rgba(185, 187, 243, 0.35);
  }
  .right-side {
    width: 40%;
    display: flex;
  }
  .loanformwrapper {
    width: 80%;
    max-height: 40%;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.75);
    -webkit-box-shadow: 0px 4px 8px var(--thirdcolor);
    box-shadow: 0px 4px 8px var(--thirdcolor);
    padding: 2.5em 0em 2.5em 0em;
  }

  #monthlyPayment {
    width: 85%;
    text-align: center;
    margin: 1em auto 1em auto;
    color: var(--primarycolor);
  }
  .button-form-loan {
    text-align: center;
    margin: 0em 10em 0em 0em;
  }
}

@media only screen and (min-width: 1090px) {
  .formwrapper {
    margin-left: 20em;
  }
}

@media only screen and (min-width: 1300px) {
  .formwrapper {
    width: 600px;
    margin-left: 40em;
  }
  .formwrapper {
    background-color: rgba(255, 255, 255, 0.95);
  }
}

@media only screen and (min-width: 1500px) {
  .formwrapper {
    width: 600px;
    margin: 5em 0 0 40em;
    margin-left: 40em;
    background-color: rgba(255, 255, 255, 0.95);
  }
  .formwrapper h1 {
    text-align: center;
    padding-left: 1.5em;
  }
  .formwrapper p {
    text-align: center;
    padding-left: 2.8em;
  }
}
